/*
**		CATS header file
**
**  The CATS routines (Common Access to Transport Service) are routines which
**  allow access to ISO-like levl 4 communication services.
*/ 
#define TS_OK 138642209
#define TS_NULL 138642217
#define TS_CNCF 138643011
#define TS_DSCF 138643019
#define TS_CNID 138643027
#define TS_RDYID 138643035
#define TS_DTAID 138643043
#define TS_EXRID 138643051
#define TS_EXPID 138643059
#define TS_CNRSOK 138643067
#define TS_CONNTD 138643075
#define TS_DTAOVR 138643808
#define TS_TIMOUT 138643816
#define TS_CANCEL 138643824
#define TS_DSID 138644610
#define TS_BADSEQ 138644618
#define TS_BADPAR 138644626
#define TS_BADCON 138644634
#define TS_TOOBIG 138644642
#define TS_NOSAP 138644650
#define TS_NCONN 138644658
#define TS_PROERR 138644666
#define TS_CONFAI 138644674
#define TS_REMFAI 138644682
#define TS_SHUT 138644690
#define TS_IOERR 138644698
#define TS_MEMFAI 138645412
#define TS_INTERR 138646212
#define TS_FATAL 138646220
#define TS_GRTSAP 138647011
#define TS_GLTSUF 138647019
#define TS_GUDT 138647027
#define TS_GLNSAP 138647035
#define TS_SLTSUF 138647411
#define TS_SUDT 138647419

/*  Type used in calls to cats routines:
*/
typedef socket_type	proc_param_type;
typedef rpc_long	TS_id;
typedef rpc_long	TS_opts;
typedef int		TS_length;
typedef int		TS_timeout;
typedef long int	TS_systat[3];


/*      Cats access routines
**
**/
extern rpc_status lib_get_ef();
extern rpc_status lib_free_ef();
extern rpc_status sys_setef();
extern rpc_status sys_clref();
extern rpc_status sys_waitfr();

extern rpc_status tscnr();
extern rpc_status tscnrw();
extern rpc_status tsdsr();
extern rpc_status tsdsrw();
extern rpc_status tssnd();
extern rpc_status tssnx();
extern rpc_status tssndw();
extern rpc_status tsrcv();
extern rpc_status tsrcx();
extern rpc_status tsrcvw();
extern rpc_status tslst();
extern rpc_status tsinf();
extern rpc_status tscrs();
extern rpc_status tscrsw();
extern rpc_status tswait();
extern rpc_status tssets();
extern rpc_status tsgets();

